import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
export declare class ToggleBtnComponent implements OnInit {
    private formBuilder;
    /**
     * @description
     * Control Name
     */
    controlName: string;
    defaultValue: boolean;
    specialClass: string;
    /**
     * @description
     * Edit data to populate form during edit.
     */
    parentFrom: FormGroup;
    /**
     * Initialise Services
     * @param formBuilder
     */
    constructor(formBuilder: FormBuilder);
    /**
     * NgOnint hook
     */
    ngOnInit(): void;
    /**
     * Initialise Form
     */
    initializeProcess(): void;
    /**
     * Create From control for toggle buttons
     */
    createControl(): void;
}
